ReflectiveTypeAdapterFactory.Adapter
Date: 2016-11-03

com.google.gson.internal.bind

## Class ReflectiveTypeAdapterFactory.Adapter<T>

- java.lang.Object
- - com.google.gson.TypeAdapter<T>
  - - com.google.gson.internal.bind.ReflectiveTypeAdapterFactory.Adapter<T>

- Enclosing class:
    ReflectiveTypeAdapterFactory

      public static final class ReflectiveTypeAdapterFactory.Adapter<T>
      extends TypeAdapter<T>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `read(JsonReader in)` Reads one JSON value (an array, object, string, number, boolean or null) and converts it to a Java object.
    `void` | `write(JsonWriter out, T value)` Writes one JSON value (an array, object, string, number, boolean or null) for `value`.

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### read

          public T read(JsonReader in)
                 throws java.io.IOException

      Description copied from class: `TypeAdapter`
      Reads one JSON value (an array, object, string, number, boolean or null) and converts it to a Java object. Returns the converted object.
      Specified by:
        `read` in class `TypeAdapter<T>`
      Returns:
        the converted Java object. May be null.
      Throws:
        `java.io.IOException`

    - #### write

          public void write(JsonWriter out,
                   T value)
                     throws java.io.IOException

      Description copied from class: `TypeAdapter`
      Writes one JSON value (an array, object, string, number, boolean or null) for `value`.
      Specified by:
        `write` in class `TypeAdapter<T>`
        `value` - the Java object to write. May be null.
      Throws:
        `java.io.IOException`